export declare function resolveWorkFile(request: any, outputPath: string): Promise<void>;
export declare function resolveWorkFileAsArrayBuffer(request: any): Promise<ArrayBuffer>;
export declare function postRemote(input: any): Promise<Response>;
export declare function getRemote(input: any): Promise<Response>;
export declare function buildRemoteRequest(path: string, body: any): import("../../type/cast.js").Request;
export declare function isRemoteRequest(input: any): boolean;
export type FetchOptions = RequestInit & {
    timeout?: number;
    controller?: AbortController;
};
export declare function fetchWithTimeout(resource: string, options?: FetchOptions): Promise<Response>;
export declare function requestMany(controller: AbortController, list: Array<Promise<Response>>): Promise<Response[]>;
